Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.sasl
Class VerifyPasswordCallback

    java.lang.Object
      org.jivesoftware.openfire.sasl.VerifyPasswordCallback

All Implemented Interfaces:
  Serializable, Callback

    public class VerifyPasswordCallback

extends Object
implements Callback, Serializable

This callback isused by SaslServer to determine if a password supplied by a client is verified. Under most circumstances the PasswordCallback should be used instead, but its use requires the underlying sercurity services have access to the stored password to perform a comparison. The security service provider instantiate and pass a VerifyPasswordCallback to the handle method of a CallbackHandler to verify password information.

Author:
  Jay Kline
See Also:
  `PasswordCallback`, `CallbackHandler`, Serialized Form

Constructor Summary
`VerifyPasswordCallback(char[] password)` Construct a `VerifyPasswordCallback`.

Method Summary
`void` | `clearPassword()` Clear the retrieved password.
`char[]` | `getPassword()` Get the retrieved password.
`boolean` | `getVerified()` Determines wether the password is verified.
`void` | `setVerified(boolean verified)` Indicate if this password is verified.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VerifyPasswordCallback

    public VerifyPasswordCallback(char[] password)

  Construct a `VerifyPasswordCallback`.

  Parameters:
    `password` - the password to verify.

Method Detail

### getPassword

    public char[] getPassword()

  Get the retrieved password.

  Returns:
    the retrieved password, which may be null.

### clearPassword

    public void clearPassword()

  Clear the retrieved password.

### setVerified

    public void setVerified(boolean verified)

  Indicate if this password is verified.

  Parameters:
    `verified` - true if the password is verified; false otherwise

### getVerified

    public boolean getVerified()

  Determines wether the password is verified.

  Returns:
    true if the password is verified; false otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.